package pwc.taxtech.atms.dto;

/**
 * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\StatisticAttributeDto.cs
 */
public class StatisticAttributeDto {

    private String id;
    private String name;
    private Boolean isActive;
    private Boolean isOrgSelfProperty;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getIsActive() {
        return isActive;
    }

    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }

    public Boolean getIsOrgSelfProperty() {
        return isOrgSelfProperty;
    }

    public void setIsOrgSelfProperty(Boolean isOrgSelfProperty) {
        this.isOrgSelfProperty = isOrgSelfProperty;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((id == null) ? 0 : id.hashCode());
        result = prime * result + ((isActive == null) ? 0 : isActive.hashCode());
        result = prime * result + ((isOrgSelfProperty == null) ? 0 : isOrgSelfProperty.hashCode());
        result = prime * result + ((name == null) ? 0 : name.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        StatisticAttributeDto other = (StatisticAttributeDto) obj;
        if (id == null) {
            if (other.id != null)
                return false;
        } else if (!id.equals(other.id))
            return false;
        if (isActive == null) {
            if (other.isActive != null)
                return false;
        } else if (!isActive.equals(other.isActive))
            return false;
        if (isOrgSelfProperty == null) {
            if (other.isOrgSelfProperty != null)
                return false;
        } else if (!isOrgSelfProperty.equals(other.isOrgSelfProperty))
            return false;
        if (name == null) {
            if (other.name != null)
                return false;
        } else if (!name.equals(other.name))
            return false;
        return true;
    }
    
    

}
