package pwc.taxtech.atms.dto.dimension;

import java.util.Date;
import java.util.List;

public class DimensionDto {
    private String id;
    private String name;
    private String attributeId;

    private Short orderIndex;
    private Boolean isMandatory;
    private Boolean isActive;

    private Boolean isSystemDimension;
    private String createBy;
    private String updateBy;

    private Date createTime;

    private Date updateTime;

    /** 维度的个数 */
    private Integer dimensionValueCount;

    private Integer dimensionType;

    private List<DimensionValueDto> dimensionValueList;

    private Integer attributeValueCount;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAttributeId() {
        return attributeId;
    }

    public void setAttributeId(String attributeId) {
        this.attributeId = attributeId;
    }

    public Short getOrderIndex() {
        return orderIndex;
    }

    public void setOrderIndex(Short orderIndex) {
        this.orderIndex = orderIndex;
    }

    public Boolean getIsMandatory() {
        return isMandatory;
    }

    public void setIsMandatory(Boolean isMandatory) {
        this.isMandatory = isMandatory;
    }

    public Boolean getIsActive() {
        return isActive;
    }

    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }

    public Boolean getIsSystemDimension() {
        return isSystemDimension;
    }

    public void setIsSystemDimension(Boolean isSystemDimension) {
        this.isSystemDimension = isSystemDimension;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDimensionValueCount() {
        return dimensionValueCount;
    }

    public void setDimensionValueCount(Integer dimensionValueCount) {
        this.dimensionValueCount = dimensionValueCount;
    }

    public Integer getDimensionType() {
        return dimensionType;
    }

    public void setDimensionType(Integer dimensionType) {
        this.dimensionType = dimensionType;
    }

    public List<DimensionValueDto> getDimensionValueList() {
        return dimensionValueList;
    }

    public void setDimensionValueList(List<DimensionValueDto> dimensionValueList) {
        this.dimensionValueList = dimensionValueList;
    }

    public Integer getAttributeValueCount() {
        return attributeValueCount;
    }

    public void setAttributeValueCount(Integer attributeValueCount) {
        this.attributeValueCount = attributeValueCount;
    }

}
