package pwc.taxtech.atms.dto.epaccount;

import java.util.ArrayList;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONType;

import pwc.taxtech.atms.dpo.EnterpriseAccountDto;
import pwc.taxtech.atms.dto.ValidateInfoDto;

@JSONType(orders = { "enterpriseAccountList", "validateInfoList"})
public class EnterpriseAccountAndValidateInfo {

    
    private List<EnterpriseAccountDto> enterpriseAccountList = new ArrayList<>();
    
    private List<ValidateInfoDto> validateInfoList = new ArrayList<>();

    /**
     * @return the enterpriseAccountList
     */
    public List<EnterpriseAccountDto> getEnterpriseAccountList() {
        return enterpriseAccountList;
    }

    /**
     * @param enterpriseAccountList the enterpriseAccountList to set
     */
    public void setEnterpriseAccountList(List<EnterpriseAccountDto> enterpriseAccountList) {
        this.enterpriseAccountList = enterpriseAccountList;
    }

    /**
     * @return the validateInfoList
     */
    public List<ValidateInfoDto> getValidateInfoList() {
        return validateInfoList;
    }

    /**
     * @param validateInfoList the validateInfoList to set
     */
    public void setValidateInfoList(List<ValidateInfoDto> validateInfoList) {
        this.validateInfoList = validateInfoList;
    }
    
    
}
