package pwc.taxtech.atms.dto.organization;

import java.util.List;

/** @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\OrganizationDto.cs */
public class OrgGeneralInfoMiddleDto {

    /**
     * 机构Id
     */
    private String id;

    /**
     * 机构名
     */
    private String orgName;

    /**
     * 纳税人识别号
     */
    private String taxPayerNumber;

    /**
     * 企业账套List
     */
    private List<String> accountSetList;

    /**
     * 如有多个，将用逗号隔开组合成一个字符串
     */
    private String accountSetName;
    /**
     * 服务
     */
    private String serviceName;

    /**
     * 事业部名称
     */
    private String businessUnitName;

    /**
     * 行业名称
     */
    private String industryName;

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 区域名称
     */
    private String areaId;

    /**
     * 区域名称
     */
    private String businessUnitId;

    /**
     * 用户List
     */
    private List<String> userList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        id = id;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getTaxPayerNumber() {
        return taxPayerNumber;
    }

    public void setTaxPayerNumber(String taxPayerNumber) {
        this.taxPayerNumber = taxPayerNumber;
    }

    public List<String> getAccountSetList() {
        return accountSetList;
    }

    public void setAccountSetList(List<String> accountSetList) {
        this.accountSetList = accountSetList;
    }

    public String getAccountSetName() {
        return accountSetName;
    }

    public void setAccountSetName(String accountSetName) {
        this.accountSetName = accountSetName;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getBusinessUnitName() {
        return businessUnitName;
    }

    public void setBusinessUnitName(String businessUnitName) {
        this.businessUnitName = businessUnitName;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public List<String> getUserList() {
        return userList;
    }

    public void setUserList(List<String> userList) {
        this.userList = userList;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getBusinessUnitId() {
        return businessUnitId;
    }

    public void setBusinessUnitId(String businessUnitId) {
        this.businessUnitId = businessUnitId;
    }

}
