package pwc.taxtech.atms.dto.permission;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

public class RolePermissionDto {

    private String id;
    private String roleId;
    private String code;
    private String permissionId;
    private String roleName;
    private String permissionName;
    private String parentId;
    private Short PLevel;
    private String serviceType;
    private String relyOnCodes;
    private List<RolePermissionDto> children;
    private Boolean expanded;
    /**
     * @return the id
     */
    public String getId() {
        return id;
    }
    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }
    /**
     * @return the roleId
     */
    public String getRoleId() {
        return roleId;
    }
    /**
     * @param roleId the roleId to set
     */
    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }
    /**
     * @return the code
     */
    public String getCode() {
        return code;
    }
    /**
     * @param code the code to set
     */
    public void setCode(String code) {
        this.code = code;
    }
    /**
     * @return the permissionId
     */
    public String getPermissionId() {
        return permissionId;
    }
    /**
     * @param permissionId the permissionId to set
     */
    public void setPermissionId(String permissionId) {
        this.permissionId = permissionId;
    }
    /**
     * @return the roleName
     */
    public String getRoleName() {
        return roleName;
    }
    /**
     * @param roleName the roleName to set
     */
    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }
    /**
     * @return the permissionName
     */
    public String getPermissionName() {
        return permissionName;
    }
    /**
     * @param permissionName the permissionName to set
     */
    public void setPermissionName(String permissionName) {
        this.permissionName = permissionName;
    }
    /**
     * @return the parentId
     */
    public String getParentId() {
        return parentId;
    }
    /**
     * @param parentId the parentId to set
     */
    public void setParentId(String parentId) {
        this.parentId = parentId;
    }
    /**
     * @return the pLevel
     */
    @JsonProperty("pLevel")
    public Short getPLevel() {
        return PLevel;
    }
    /**
     * @param pLevel the pLevel to set
     */
    public void setPLevel(Short pLevel) {
        PLevel = pLevel;
    }
    /**
     * @return the serviceType
     */
    public String getServiceType() {
        return serviceType;
    }
    /**
     * @param serviceType the serviceType to set
     */
    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }
    /**
     * @return the relyOnCodes
     */
    public String getRelyOnCodes() {
        return relyOnCodes;
    }
    /**
     * @param relyOnCodes the relyOnCodes to set
     */
    public void setRelyOnCodes(String relyOnCodes) {
        this.relyOnCodes = relyOnCodes;
    }
    /**
     * @return the children
     */
    public List<RolePermissionDto> getChildren() {
        return children;
    }
    /**
     * @param children the children to set
     */
    public void setChildren(List<RolePermissionDto> children) {
        this.children = children;
    }
    /**
     * @return the expanded
     */
    public Boolean getExpanded() {
        return expanded;
    }
    /**
     * @param expanded the expanded to set
     */
    public void setExpanded(Boolean expanded) {
        this.expanded = expanded;
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((id == null) ? 0 : id.hashCode());
        result = prime * result + ((PLevel == null) ? 0 : PLevel.hashCode());
        result = prime * result + ((children == null) ? 0 : children.hashCode());
        result = prime * result + ((code == null) ? 0 : code.hashCode());
        result = prime * result + ((expanded == null) ? 0 : expanded.hashCode());
        result = prime * result + ((parentId == null) ? 0 : parentId.hashCode());
        result = prime * result + ((permissionId == null) ? 0 : permissionId.hashCode());
        result = prime * result + ((permissionName == null) ? 0 : permissionName.hashCode());
        result = prime * result + ((relyOnCodes == null) ? 0 : relyOnCodes.hashCode());
        result = prime * result + ((roleId == null) ? 0 : roleId.hashCode());
        result = prime * result + ((roleName == null) ? 0 : roleName.hashCode());
        result = prime * result + ((serviceType == null) ? 0 : serviceType.hashCode());
        return result;
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        RolePermissionDto other = (RolePermissionDto) obj;
        if (id == null) {
            if (other.id != null)
                return false;
        } else if (!id.equals(other.id))
            return false;
        if (PLevel == null) {
            if (other.PLevel != null)
                return false;
        } else if (!PLevel.equals(other.PLevel))
            return false;
        if (children == null) {
            if (other.children != null)
                return false;
        } else if (!children.equals(other.children))
            return false;
        if (code == null) {
            if (other.code != null)
                return false;
        } else if (!code.equals(other.code))
            return false;
        if (expanded == null) {
            if (other.expanded != null)
                return false;
        } else if (!expanded.equals(other.expanded))
            return false;
        if (parentId == null) {
            if (other.parentId != null)
                return false;
        } else if (!parentId.equals(other.parentId))
            return false;
        if (permissionId == null) {
            if (other.permissionId != null)
                return false;
        } else if (!permissionId.equals(other.permissionId))
            return false;
        if (permissionName == null) {
            if (other.permissionName != null)
                return false;
        } else if (!permissionName.equals(other.permissionName))
            return false;
        if (relyOnCodes == null) {
            if (other.relyOnCodes != null)
                return false;
        } else if (!relyOnCodes.equals(other.relyOnCodes))
            return false;
        if (roleId == null) {
            if (other.roleId != null)
                return false;
        } else if (!roleId.equals(other.roleId))
            return false;
        if (roleName == null) {
            if (other.roleName != null)
                return false;
        } else if (!roleName.equals(other.roleName))
            return false;
        if (serviceType == null) {
            if (other.serviceType != null)
                return false;
        } else if (!serviceType.equals(other.serviceType))
            return false;
        return true;
    }
    
    
    
}
