package pwc.taxtech.atms.dto.user;

/**
 * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\UserRoleDimensionValueDto.cs
 */
public class NameDto {

    private String id;

    private String name;

    private Integer roleSource;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getRoleSource() {
        return roleSource;
    }

    public void setRoleSource(Integer roleSource) {
        this.roleSource = roleSource;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((id == null) ? 0 : id.hashCode());
        result = prime * result + ((name == null) ? 0 : name.hashCode());
        result = prime * result + ((roleSource == null) ? 0 : roleSource.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        NameDto other = (NameDto) obj;
        if (id == null) {
            if (other.id != null)
                return false;
        } else if (!id.equals(other.id))
            return false;
        if (name == null) {
            if (other.name != null)
                return false;
        } else if (!name.equals(other.name))
            return false;
        if (roleSource == null) {
            if (other.roleSource != null)
                return false;
        } else if (!roleSource.equals(other.roleSource))
            return false;
        return true;
    }

}
