package pwc.taxtech.atms.dto;

import com.alibaba.fastjson.annotation.JSONType;

@JSONType(orders = { "mergerName", "areaId", "levelType", "isArea", "isActive"})
public class VMRegionDevTreeData {

	/**
	 * VMRegionDevTreeData
	 * 
	 * @author Rita Zhou
	 *
	 */
	private String mergerName;

	private String areaId;

	private int levelType;

	private Boolean isArea;

	private Boolean isActive;

	/**
	 * 
	 */
	public VMRegionDevTreeData() {
		super();
	}

	/**
	 * @param mergerName
	 * @param areaId
	 * @param levelType
	 * @param isArea
	 * @param isActive
	 */
	public VMRegionDevTreeData(String mergerName, String areaId, int levelType, Boolean isArea, Boolean isActive) {
		super();
		this.mergerName = mergerName;
		this.areaId = areaId;
		this.levelType = levelType;
		this.isArea = isArea;
		this.isActive = isActive;
	}

	public String getMergerName() {
		return mergerName;
	}

	public void setMergerName(String mergerName) {
		this.mergerName = mergerName;
	}

	public String getAreaId() {
		return areaId;
	}

	public void setAreaId(String areaId) {
		this.areaId = areaId;
	}

	public int getLevelType() {
		return levelType;
	}

	public void setLevelType(int levelType) {
		this.levelType = levelType;
	}

	public Boolean getIsArea() {
		return isArea;
	}

	public void setIsArea(Boolean isArea) {
		this.isArea = isArea;
	}

	public Boolean getIsActive() {
		return isActive;
	}

	public void setIsActive(Boolean isActive) {
		this.isActive = isActive;
	}

}
