package pwc.taxtech.atms.dto.customer;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import com.fasterxml.jackson.annotation.JsonProperty;

@JSONType(orders = {"id", "code", "name", "enterPriseAccountId"})
public class CustomerDto {

    @JSONField(name="id", ordinal =1)
    @JsonProperty("id")
    private String id;
    
    private String code;
    
    private String name;
    
    private String enterPriseAccountId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEnterPriseAccountId() {
        return enterPriseAccountId;
    }

    public void setEnterPriseAccountId(String enterPriseAccountId) {
        this.enterPriseAccountId = enterPriseAccountId;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((id == null) ? 0 : id.hashCode());
        result = prime * result + ((code == null) ? 0 : code.hashCode());
        result = prime * result + ((enterPriseAccountId == null) ? 0 : enterPriseAccountId.hashCode());
        result = prime * result + ((name == null) ? 0 : name.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        CustomerDto other = (CustomerDto) obj;
        if (id == null) {
            if (other.id != null)
                return false;
        } else if (!id.equals(other.id))
            return false;
        if (code == null) {
            if (other.code != null)
                return false;
        } else if (!code.equals(other.code))
            return false;
        if (enterPriseAccountId == null) {
            if (other.enterPriseAccountId != null)
                return false;
        } else if (!enterPriseAccountId.equals(other.enterPriseAccountId))
            return false;
        if (name == null) {
            if (other.name != null)
                return false;
        } else if (!name.equals(other.name))
            return false;
        return true;
    }
    
    
}
