package pwc.taxtech.atms.dto.vatdto;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

public class JsonTrialBalanceTreeNode {
    private String balanceId;
    private Integer periodId;
    private String direction;
    private String customerCode;
    @JSONField(name="debitOpeningBalance")
    private String begDebitBal;
    @JSONField(name="creditOpeningBalance")
    private String begCreditBal;
    private String begBal;
    private String endBal;
    @JSONField(name="debitClosingBalance")
    private String endDebitBal;
    @JSONField(name="creditClosingBalance")
    private String endCreditBal;
    @JSONField(name="monthId")
    private Integer monthId;
    @JSONField(name="accumulatedDebitAmount")
    private String debitBal;
    @JSONField(name="accumulatedCreditAmount")
    private String creditBal;
    private String accountName;
    private String acctProp;
    @JSONField(name="accountCode")
    private String acctCode;
    private String parentCode;
    private List<JsonTrialBalanceTreeNode> children;

    public String getBalanceId() {
        return balanceId;
    }

    public void setBalanceId(String balanceId) {
        this.balanceId = balanceId;
    }

    public Integer getPeriodId() {
        return periodId;
    }

    public void setPeriodId(Integer periodId) {
        this.periodId = periodId;
    }

    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getBegDebitBal() {
        return begDebitBal;
    }

    public void setBegDebitBal(String begDebitBal) {
        this.begDebitBal = begDebitBal;
    }

    public String getBegCreditBal() {
        return begCreditBal;
    }

    public void setBegCreditBal(String begCreditBal) {
        this.begCreditBal = begCreditBal;
    }

    public String getBegBal() {
        return begBal;
    }

    public void setBegBal(String begBal) {
        this.begBal = begBal;
    }

    public String getEndBal() {
        return endBal;
    }

    public void setEndBal(String endBal) {
        this.endBal = endBal;
    }

    public String getEndDebitBal() {
        return endDebitBal;
    }

    public void setEndDebitBal(String endDebitBal) {
        this.endDebitBal = endDebitBal;
    }

    public String getEndCreditBal() {
        return endCreditBal;
    }

    public void setEndCreditBal(String endCreditBal) {
        this.endCreditBal = endCreditBal;
    }

    public Integer getMonthId() {
        return monthId;
    }

    public void setMonthId(Integer monthId) {
        this.monthId = monthId;
    }

    public String getDebitBal() {
        return debitBal;
    }

    public void setDebitBal(String debitBal) {
        this.debitBal = debitBal;
    }

    public String getCreditBal() {
        return creditBal;
    }

    public void setCreditBal(String creditBal) {
        this.creditBal = creditBal;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getAcctProp() {
        return acctProp;
    }

    public void setAcctProp(String acctProp) {
        this.acctProp = acctProp;
    }

    public String getAcctCode() {
        return acctCode;
    }

    public int getAcctCodeLength() {
        return acctCode.length();
    }

    public void setAcctCode(String acctCode) {
        this.acctCode = acctCode;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public List<JsonTrialBalanceTreeNode> getChildren() {
        return children;
    }

    public void setChildren(List<JsonTrialBalanceTreeNode> children) {
        this.children = children;
    }
}
