package pwc.taxtech.atms.dto.vatdto;

import org.thymeleaf.util.StringUtils;
import pwc.taxtech.atms.vat.entity.Voucher;

import java.math.BigDecimal;
import java.util.Date;

public class VoucherDto {
    private String voucherId;
    private String vid;
    private Date date;
    //private String GroupNum ;
    private String group;
    private Integer period;
    private String customerCode;
    private String customerName;
    private String summary;
    private String acctCode;
    private BigDecimal debit;
    private BigDecimal credit;
    private BigDecimal debitQty;
    private BigDecimal creditQty;
    private Long attach;
    private Long itemId;
    private Integer status;
    private Date createdTime;
    private Integer isManual;
    private Integer manualUser;
    private Date manualTime;
    private String stdCode;
    private String mappingReason;
    private Integer mappingUser;
    private Date mappingTime;
    private String manualReason;
    private String foreignCurrency;
    private BigDecimal foreignDebit;
    private BigDecimal foreignCredit;
    private String checkedBy;
    private String issuedBy;
    private String bookedBy;
    private String cashier;
    /**
     * 是否被凭证重分类过
     */
    private Boolean isRecate;
    private Integer originalPeriod;
    private String acctCodeAndNameShow; //界面显示
    private String customerCodeAndNameShow; //界面显示
    private String stdCodeAndNameShow; //界面显示
    private String groupShow; //界面显示

    private int vIdCount;//凭证总数
    private int itemIdCount;//分录总数
    private BigDecimal debitSum;
    private BigDecimal creditSum;
    private int auditCount;//审计调整总数

    public String getVoucherId() {
        return voucherId;
    }

    public void setVoucherId(String voucherId) {
        this.voucherId = voucherId;
    }

    public String getvId() {
        return vid;
    }

    public void setvId(String vid) {
        this.vid = vid;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public Integer getPeriod() {
        return period;
    }

    public void setPeriod(Integer period) {
        this.period = period;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getAcctCode() {
        return acctCode;
    }

    public void setAcctCode(String acctCode) {
        this.acctCode = acctCode;
    }

    public BigDecimal getDebit() {
        return debit;
    }

    public void setDebit(BigDecimal debit) {
        this.debit = debit;
    }

    public BigDecimal getCredit() {
        return credit;
    }

    public void setCredit(BigDecimal credit) {
        this.credit = credit;
    }

    public BigDecimal getDebitQty() {
        return debitQty;
    }

    public void setDebitQty(BigDecimal debitQty) {
        this.debitQty = debitQty;
    }

    public BigDecimal getCreditQty() {
        return creditQty;
    }

    public void setCreditQty(BigDecimal creditQty) {
        this.creditQty = creditQty;
    }

    public Long getAttach() {
        return attach;
    }

    public void setAttach(Long attach) {
        this.attach = attach;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Integer getIsManual() {
        return isManual;
    }

    public void setIsManual(Integer isManual) {
        this.isManual = isManual;
    }

    public Integer getManualUser() {
        return manualUser;
    }

    public void setManualUser(Integer manualUser) {
        this.manualUser = manualUser;
    }

    public Date getManualTime() {
        return manualTime;
    }

    public void setManualTime(Date manualTime) {
        this.manualTime = manualTime;
    }

    public String getStdCode() {
        return stdCode;
    }

    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    public String getMappingReason() {
        return mappingReason;
    }

    public void setMappingReason(String mappingReason) {
        this.mappingReason = mappingReason;
    }

    public Integer getMappingUser() {
        return mappingUser;
    }

    public void setMappingUser(Integer mappingUser) {
        this.mappingUser = mappingUser;
    }

    public Date getMappingTime() {
        return mappingTime;
    }

    public void setMappingTime(Date mappingTime) {
        this.mappingTime = mappingTime;
    }

    public String getManualReason() {
        return manualReason;
    }

    public void setManualReason(String manualReason) {
        this.manualReason = manualReason;
    }

    public String getForeignCurrency() {
        return foreignCurrency;
    }

    public void setForeignCurrency(String foreignCurrency) {
        this.foreignCurrency = foreignCurrency;
    }

    public BigDecimal getForeignDebit() {
        return foreignDebit;
    }

    public void setForeignDebit(BigDecimal foreignDebit) {
        this.foreignDebit = foreignDebit;
    }

    public BigDecimal getForeignCredit() {
        return foreignCredit;
    }

    public void setForeignCredit(BigDecimal foreignCredit) {
        this.foreignCredit = foreignCredit;
    }

    public String getCheckedBy() {
        return checkedBy;
    }

    public void setCheckedBy(String checkedBy) {
        this.checkedBy = checkedBy;
    }

    public String getIssuedBy() {
        return issuedBy;
    }

    public void setIssuedBy(String issuedBy) {
        this.issuedBy = issuedBy;
    }

    public String getBookedBy() {
        return bookedBy;
    }

    public void setBookedBy(String bookedBy) {
        this.bookedBy = bookedBy;
    }

    public String getCashier() {
        return cashier;
    }

    public void setCashier(String cashier) {
        this.cashier = cashier;
    }

    public Boolean getRecate() {
        return isRecate;
    }

    public void setRecate(Boolean recate) {
        isRecate = recate;
    }

    public Integer getOriginalPeriod() {
        return originalPeriod;
    }

    public void setOriginalPeriod(Integer originalPeriod) {
        this.originalPeriod = originalPeriod;
    }

    public String getAcctCodeAndNameShow() {
        return acctCodeAndNameShow;
    }

    public void setAcctCodeAndNameShow(String acctCodeAndNameShow) {
        this.acctCodeAndNameShow = acctCodeAndNameShow;
    }

    public String getCustomerCodeAndNameShow() {
        return customerCodeAndNameShow;
    }

    public void setCustomerCodeAndNameShow(String customerCodeAndNameShow) {
        this.customerCodeAndNameShow = customerCodeAndNameShow;
    }

    public String getStdCodeAndNameShow() {
        return stdCodeAndNameShow;
    }

    public void setStdCodeAndNameShow(String stdCodeAndNameShow) {
        this.stdCodeAndNameShow = stdCodeAndNameShow;
    }

    public String getGroupShow() {
        return groupShow;
    }

    public void setGroupShow(String groupShow) {
        this.groupShow = groupShow;
    }

    public int getvIdCount() {
        return vIdCount;
    }

    public void setvIdCount(int vIdCount) {
        this.vIdCount = vIdCount;
    }

    public int getItemIdCount() {
        return itemIdCount;
    }

    public void setItemIdCount(int itemIdCount) {
        this.itemIdCount = itemIdCount;
    }

    public BigDecimal getDebitSum() {
        return debitSum;
    }

    public void setDebitSum(BigDecimal debitSum) {
        this.debitSum = debitSum;
    }

    public BigDecimal getCreditSum() {
        return creditSum;
    }

    public void setCreditSum(BigDecimal creditSum) {
        this.creditSum = creditSum;
    }

    public int getAuditCount() {
        return auditCount;
    }

    public void setAuditCount(int auditCount) {
        this.auditCount = auditCount;
    }

    public VoucherDto extractFromVoucher(Voucher v) {
        setVoucherId(v.getVoucherId());
        setvId(v.getVid());
        setDate(v.getDate());
        setGroup(v.getGroup());
        setPeriod(v.getPeriod());
        setCustomerCode(v.getCustomerCode());
        setCustomerName(v.getCustomerName());
        setSummary(v.getSummary());
        setAcctCode(v.getAcctCode());
        setDebit(v.getDebit());
        setCredit(v.getCredit());
        setAttach(v.getAttach());
        if (v.getItemId() != null)
            setItemId(Long.parseLong(v.getItemId()));
        setCreatedTime(v.getCreateTime());
        setOriginalPeriod(v.getOriginalPeriod());
        setStatus(v.getStatus());
        setStdCode(v.getStdCode());
        setMappingReason(v.getMappingReason());
        if (!StringUtils.isEmpty(v.getMappingReason()))
            setMappingUser(Integer.valueOf(v.getMappingUser()));
        setMappingTime(v.getMappingTime());
        return this;
    }
}
