package pwc.taxtech.atms.dto.vatdto;

import pwc.taxtech.atms.vat.entity.Voucher;

import java.math.BigDecimal;
import java.util.Date;

public class VoucherDtoOnlyForImport {
    public String VoucherId;
    public String vid;
    public Date date;
    public String Group;
    public Integer Period;
    public String CustomerCode;
    public String CustomerName;
    public String Summary;
    public String AcctCode;
    public BigDecimal Debit;
    public BigDecimal Credit;
    public Long Attach;
    public String ItemId;
    public Date CreateTime;
    public Integer ImportType;
    public String CreatorId;
    public Integer MonthId;
    public Integer OriginalPeriod;
    public Integer Status;
    public Integer PartBilledPeriod;
    public Integer BilledPeriod;

    public Integer getPeriod() {
        return Period;
    }

    public Voucher extractVoucher(){
        Voucher voucher = new Voucher();
        voucher.setVoucherId(VoucherId);
        voucher.setVid(vid);
        voucher.setDate(date);
        voucher.setGroup(Group);
        voucher.setPeriod(Period);
        voucher.setCustomerCode(CustomerCode);
        voucher.setCustomerName(CustomerName);
        voucher.setSummary(Summary);
        voucher.setAcctCode(AcctCode);
        voucher.setDebit(Debit);
        voucher.setCredit(Credit);
        voucher.setAttach(Attach);
        voucher.setItemId(ItemId);
        voucher.setCreateTime(CreateTime);
        voucher.setImportType(ImportType);
        voucher.setCreatorId(CreatorId);
        voucher.setMonthId(MonthId);
        voucher.setOriginalPeriod(OriginalPeriod);
        voucher.setStatus(Status);
        voucher.setPartBilledPeriod(PartBilledPeriod);
        voucher.setBilledPeriod(BilledPeriod);
        return voucher;
    }
}
